cURL
curl "https://api.ionq.co/v0.4/sessions/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/sessions/{session_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"backend": "<string>",
"project_id": "<string>",
"creator_id": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"ender_id": "<string>",
"active": true,
"status": "created",
"started_at": "2023-11-07T05:31:56Z",
"settings": {
"job_count_limit": 123,
"duration_limit_min": 123,
"cost_limit": {
"unit": "<string>",
"value": 123
},
"expires_at": "2023-11-07T05:31:56Z"
}
}Sessions
Get session
Retrieve detailed information about a specific session.
GET
/
sessions
/
{session_id}
cURL
curl "https://api.ionq.co/v0.4/sessions/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/sessions/{session_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"backend": "<string>",
"project_id": "<string>",
"creator_id": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"ender_id": "<string>",
"active": true,
"status": "created",
"started_at": "2023-11-07T05:31:56Z",
"settings": {
"job_count_limit": 123,
"duration_limit_min": 123,
"cost_limit": {
"unit": "<string>",
"value": 123
},
"expires_at": "2023-11-07T05:31:56Z"
}
}This feature is in beta and only available to select customers today, reach
out to [email protected] to request enabling it on
your organization.Note: Beta features are subject to change as we gather
feedback. Please report any bugs or send feedback to
[email protected] or feel free to drop a report in
the Community
Slack.
Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Path Parameters
The id of the session — this id is provided in the response on session creation.
Response
200 - application/json
Successfully retrieved a session.
The id of the session.
Available options:
created, started, ended Show child attributes
Show child attributes
Was this page helpful?

